Subject: [manet] Query regarding IEEE 802.11 MAC

From: Debarshi Sanyal <[email-masked]>
Date: Fri, 18 Dec 2015 20:57:29 +0530

Hi,

In the IEEE 802.11 MAC standard, if a node finds the medium idle for a
duration >= DIFS, it directly accesses the channel. Otherwise, if the
medium is busy, it waits for the medium to be idle for DIFS, then starts
backoff counter and transmits
when the counter reaches zero.

I understand that in case of a retransmission of a packet (for which no ACK
was received), the direct access is NOT allowed, i.e. it waits for the
medium to be idle for DIFS, then starts backoff counter (with a doubled
contention window) and transmits when the counter reaches zero.

Could you please confirm if my understanding is correct?

Regards,
Debarshi Kumar Sanyal